Plans - Create
Add a new plan for the team
POST https://dev.azure.com/{organization}/{project}/_apis/work/plans?api-version=6.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path | True |
|
Project ID or project name |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '6.0' to use this version of the api. |
Request Body
| Name | Type | Description |
|---|---|---|
| description |
|
Description of the plan |
| name |
|
Name of the plan to create. |
| properties |
|
Plan properties. |
| type |
Type of plan to create. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
|
Create |
|
|
Identity |
|
| Plan |
Data contract for the plan definition |
|
Plan |
Type of plan to create. |
|
Plan |
Bit flag indicating set of permissions a user has to the plan. |
|
Reference |
The class to represent a collection of REST reference links. |
CreatePlan
| Name | Type | Description |
|---|---|---|
| description |
|
Description of the plan |
| name |
|
Name of the plan to create. |
| properties |
|
Plan properties. |
| type |
Type of plan to create. |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
|
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
|
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
|
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
|
|
| imageUrl |
|
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
|
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
|
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
|
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
|
|
| profileUrl |
|
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
|
Deprecated - use Domain+PrincipalName instead |
| url |
|
This url is the full route to the source resource of this graph subject. |
Plan
Data contract for the plan definition
| Name | Type | Description |
|---|---|---|
| createdByIdentity |
Identity that created this plan. Defaults to null for records before upgrading to ScaledAgileViewComponent4. |
|
| createdDate |
|
Date when the plan was created |
| description |
|
Description of the plan |
| id |
|
Id of the plan |
| modifiedByIdentity |
Identity that last modified this plan. Defaults to null for records before upgrading to ScaledAgileViewComponent4. |
|
| modifiedDate |
|
Date when the plan was last modified. Default to CreatedDate when the plan is first created. |
| name |
|
Name of the plan |
| properties |
|
The PlanPropertyCollection instance associated with the plan. These are dependent on the type of the plan. For example, DeliveryTimelineView, it would be of type DeliveryViewPropertyCollection. |
| revision |
|
Revision of the plan. Used to safeguard users from overwriting each other's changes. |
| type |
Type of the plan |
|
| url |
|
The resource url to locate the plan via rest api |
| userPermissions |
Bit flag indicating set of permissions a user has to the plan. |
PlanType
Type of plan to create.
| Name | Type | Description |
|---|---|---|
| deliveryTimelineView |
|
PlanUserPermissions
Bit flag indicating set of permissions a user has to the plan.
| Name | Type | Description |
|---|---|---|
| allPermissions |
|
Full control permission for this plan. |
| delete |
|
Permission to delete this plan. |
| edit |
|
Permission to update this plan. |
| manage |
|
Permission to manage this plan. |
| none |
|
None |
| view |
|
Permission to view this plan. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |